# frozen_string_literal: true
module SplashPayments
  class Txn
    def self.list
      result = Client.new.request('get', '/txns')
      result['response']['data']
    end

    def self.retrieve(id)
      result = Client.new.request('get', "/txns/#{id}")
      result['response']['data']
    end

    def self.create(params = {})
      result = Client.new.request('post', '/txns', params)
      result['response']['data']
    end

    def self.update(id, params = {})
      result = Client.new.request('put', "/txns/#{id}", params)
      result['response']['data']
    end
  end
end
