# frozen_string_literal: true
require 'faraday'
require 'json'
require 'splash/client'
require 'splash/account'
require 'splash/customer'
require 'splash/entity'
require 'splash/fund'
require 'splash/member'
require 'splash/merchant'
require 'splash/org'
require 'splash/org_user'
require 'splash/payout'
require 'splash/plan'
require 'splash/subscription'
require 'splash/token'
require 'splash/txn'

module SplashPayments
  @api_base = 'https://api.splashpayments.com'
  @test_api_base = 'https://test-api.splashpayments.com'
  @live_api = false

  class << self
    attr_accessor :api_key, :api_base, :test_api_base, :live_api
  end
end
